package com.boman.report.mapper;

import com.boman.domain.entity.StatisticReportPersonnel;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author shiqian
 * @date 2021年08月24日 11:09
 **/
@Repository
public interface StatisticReportPersonnelMapper {

    int deleteByStatisticIds(Long[] ids);

    int insert(StatisticReportPersonnel personnel);

    int updateStatus(StatisticReportPersonnel personnel);

    List<StatisticReportPersonnel> selectByStatisticId(Long id);

    List<StatisticReportPersonnel> selectList(StatisticReportPersonnel personnel);

}
